Skip to main content

generateProjectReport

Generates a report for a project

generateProjectReport(
projectId: ID!
language: String = "enUs"
vulnerabilityCriticity: [SeverityCategory!]
vulnerabilityStatuses: [IssueStatusLabel!]
requirements: Boolean = false
evidences: Boolean = false
reportType: ProjectReportTypeEnum!
attackGraph: Boolean = false
): Boolean!

Arguments​

generateProjectReport.projectId ● ID! non-null scalar​

generateProjectReport.language ● String scalar​

generateProjectReport.vulnerabilityCriticity ● [SeverityCategory!] list enum​

generateProjectReport.vulnerabilityStatuses ● [IssueStatusLabel!] list enum​

generateProjectReport.requirements ● Boolean scalar​

generateProjectReport.evidences ● Boolean scalar​

generateProjectReport.reportType ● ProjectReportTypeEnum! non-null enum​

generateProjectReport.attackGraph ● Boolean scalar​

Type​

Boolean scalar​

The Boolean scalar type represents true or false.

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the projects query first and use data.projects.collection[].id as projectId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetGenerateProjectReport($projectId: ID!, $reportType: ProjectReportTypeEnum!) {\n generateProjectReport(projectId: $projectId, reportType: $reportType)\n}","variables":{"projectId":"<project_id>","reportType":"TECHNICAL"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.